# Class GSTest

java.lang.Object
GSTest

public class GSTest extends Object
La classe GSTest contient les méthodes pour tester la validité d'une grille de Sudoku.

## Constructor Summary

Constructors
Constructor
Description
`GSTest(GSGrid Grid)`
Constructeur de la classe GSTest.

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`isValid(int row, int column)`
Vérifie si une cellule spécifique de la grille est valide.
`boolean`
`test()`
Vérifie s'il y a des doublons dans la grille de Sudoku.
`boolean`
`verificationColonne(int y)`
Vérifie s'il y a des doublons dans une colonne spécifique de la grille.
`boolean`
`verificationLigne(int x)`
Vérifie s'il y a des doublons dans une ligne spécifique de la grille.
`boolean`
`verificationRegion(int x, int y)`
Vérifie s'il y a des doublons dans une région spécifique de la grille.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GSTest

public GSTest(GSGrid Grid)
Constructeur de la classe GSTest.

Parameters:
  `Grid` - La grille de Sudoku à tester.

## Method Details

### test

public boolean test()
Vérifie s'il y a des doublons dans la grille de Sudoku.

Returns:
  true s'il y a des doublons, false sinon.

### verificationRegion

public boolean verificationRegion(int x, int y)
Vérifie s'il y a des doublons dans une région spécifique de la grille.

Parameters:
  `x` - L'indice x du coin supérieur gauche de la région.
  `y` - L'indice y du coin supérieur gauche de la région.
Returns:
  true s'il y a des doublons, false sinon.

### verificationLigne

public boolean verificationLigne(int x)
Vérifie s'il y a des doublons dans une ligne spécifique de la grille.

Parameters:
  `x` - L'indice de la ligne à vérifier.
Returns:
  true s'il y a des doublons, false sinon.

### verificationColonne

public boolean verificationColonne(int y)
Vérifie s'il y a des doublons dans une colonne spécifique de la grille.

Parameters:
  `y` - L'indice de la colonne à vérifier.
Returns:
  true s'il y a des doublons, false sinon.

### isValid

public Boolean isValid(int row, int column)
Vérifie si une cellule spécifique de la grille est valide.

Parameters:
  `row` - L'indice de la ligne de la cellule.
  `column` - L'indice de la colonne de la cellule.
Returns:
  true si la cellule est valide, false sinon.